---
title: XDomainRequest.onprogress
slug: Web/API/XDomainRequest/onprogress
tags:
  - AJAX
  - API
  - DOM
  - Event
  - IE
  - Microsoft
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("XDomain")}}{{obsolete_header}}{{non-standard_header}}</div>

<p>This method is called periodically as an event handler for <code>progress</code> events on {{domxref("XDomainRequest")}}s, so that code can monitor progress while loading content.</p>

<div class="note">
<p><strong>Note:</strong> While handling this event, you can look at {{domxref("XDomainRequest.responseText")}} to get the response so far.</p>
</div>

<p>Once loading is complete, the {{domxref("XDomainRequest.onload")}} event handler gets called.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">xdr.onprogress = <em>funcRef;</em></pre>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code>funcRef</code></dt>
 <dd>A function to call when <code>progress</code> events occur.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xdr = new XDomainRequest();
xdr.open("POST", "http://example.com/api/method");

xdr.onprogress = function(){
  //Handle Partial Response with xdr.responseText
}

xdr.onload = function(){
  //Handle Response with xdr.responseText
}

xdr.send("param1=value1&amp;param2=value2");</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.onprogress")}}</p>
